## guess-concurrency 0+20250214

=== Makefile ===
# Copyright 2024 Helmut Grohne <helmut@subdivi.de>
# SPDX-License-Identifier: GPL-3
#
PREFIX ?= /usr
INSTALL ?= install

build:guess_concurrency.1

clean:
	rm -f guess_concurrency.1

test:
	python3 -m doctest guess_concurrency.py

guess_concurrency.1:guess_concurrency.py
	argparse-manpage --pyfile $< --function get_argparser --project-name guess_concurrency --author "Helmut Grohne"  --author-email helmut@subdivi.de --url https://salsa.debian.org/helmutg/guess_concurrency > $@

install:build
	$(INSTALL) -D -m755 guess_concurrency.py $(DESTDIR)$(PREFIX)/bin/guess_concurrency
	$(INSTALL) -D -m644 guess_concurrency.1 $(DESTDIR)$(PREFIX)/share/man/man1/guess_concurrency.1

=== debian/changelog ===
guess-concurrency (0+20250214) unstable; urgency=medium

  * Initial release.

 -- Helmut Grohne <helmut@subdivi.de>  Fri, 14 Feb 2025 09:21:22 +0100

=== debian/control ===
Source: guess-concurrency
Maintainer: Helmut Grohne <helmut@subdivi.de>
Build-Depends: debhelper-compat (= 13), python3, python3-argparse-manpage
Standards-Version: 4.7.0
Section: devel
Priority: optional

Package: guess-concurrency
Architecture: all
Multi-Arch: foreign
Depends: python3:any
Description: utility for estimating a suitable level of build parallelism
 It provides multiple ways of guessing and refining the currently available
 computing resources (CPUs and memory) and allows computing and educated
 guess for a suitable parallelism level given further constraints such as
 the required amount of memory per concurrent execution unit. The main use
 of this is preventing builds of large software packages from being killed
 due to exceeding the available amount of system memory.

## guess-concurrency 0+20250305

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 
 test:
 	python3 -m doctest guess_concurrency.py
+	./test.sh ./guess_concurrency.py
 
 guess_concurrency.1:guess_concurrency.py
 	argparse-manpage --pyfile $< --function get_argparser --project-name guess_concurrency --author "Helmut Grohne"  --author-email helmut@subdivi.de --url https://salsa.debian.org/helmutg/guess_concurrency > $@

=== debian/changelog ===
guess-concurrency (0+20250305) unstable; urgency=medium

  [ Jakub Wilk ]
  * fix typo
  * add missing space in help message

  [ Teemu Hukkanen ]
  * Fix typo in long description (Closes: #1099123)
  * Fix typo in argparse description, fold paragraph to 79 columns (Closes:
    #1099206)

  [ Helmut Grohne ]
  * Reference the git repository (thanks to Jakub Wilk)
  * Detect cores from sysfs instead of parsing /proc/cpuinfo
  * Declare compliance with policy 4.7.2
  * Update docstrings (thanks to Jakub Wilk)
  * Add a small cli test suite and run it via autopkgtest
  * Please lintian by depending on ${misc:Depends}
  * Source-only upload to enable testing migration

 -- Helmut Grohne <helmut@subdivi.de>  Wed, 05 Mar 2025 10:52:59 +0100

=== debian/control ===
Source: guess-concurrency
Maintainer: Helmut Grohne <helmut@subdivi.de>
Build-Depends: debhelper-compat (= 13), python3, python3-argparse-manpage
Standards-Version: 4.7.2
Section: devel
Priority: optional
Vcs-Browser: https://salsa.debian.org/helmutg/guess_concurrency
Vcs-Git: https://salsa.debian.org/helmutg/guess_concurrency.git

Package: guess-concurrency
Architecture: all
Multi-Arch: foreign
Depends: python3:any, ${misc:Depends}
Description: utility for estimating a suitable level of build parallelism
 It provides multiple ways of guessing and refining the currently available
 computing resources (CPUs and memory) and allows computing an educated
 guess for a suitable parallelism level given further constraints such as
 the required amount of memory per concurrent execution unit. The main use
 of this is preventing builds of large software packages from being killed
 due to exceeding the available amount of system memory.

=== debian/tests/control ===
Tests: cli
Depends: guess-concurrency
